Subject: Re: [patch 2.6.9 0/11] Add MODULE_VERSION to several network drivers

From: "John W. Linville" <[email-masked]>
Date: Thu, 21 Oct 2004 08:55:09 -0400

On Thu, Oct 21, 2004 at 03:46:11PM +0200, Arjan van de Ven wrote:
> On Thu, 2004-10-21 at 14:22, John W. Linville wrote:

> > I would have to suspect that if a version string exists, that it has at
> > least some meaning to the primary developers/maintainters.  It certainly
 
> Since the skeleton driver includes a define for that, I suspect your
> assumption is a bit overly optimistic. 
 
Perhaps...still, at least the drivers I touched w/ these patches seem to
have version numbers that are at least somewhat meaningful.

> > Is this a political statement against the MODULE_VERSION macro and/or
> > its purpose?  I'm not overly interested in debating that one...
> 
> Not really. I have absolutely no problem with a MODULE_VERSION macro
> *IF* the version it advertises means something. However if the version
> it advertises has no meaning whatsoever (eg the version number never
> gets updated) then imo it's better to NOT advertise anything so that
> other tools (like dkms) don't make assumptions and decisions based on
> nothing-meaning data.

Again, I think it would have to be the maintainer's responsibility
to make the version numbers meaningful.

John
-- 
John W. Linville
[email-masked]